datacache <- new.env(hash=TRUE, parent=emptyenv())

POCRCannotation <- function() showQCData("POCRCannotation", datacache)
POCRCannotation_dbconn <- function() dbconn(datacache)
POCRCannotation_dbfile <- function() dbfile(datacache)
POCRCannotation_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
POCRCannotation_dbInfo <- function() dbInfo(datacache)

POCRCannotationORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "POCRCannotation.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("POCRCannotation", "chip POCRCannotation", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(POCRCannotation_dbconn())
}

